Datasets - Discover Gateways
Returns a list of gateways that the specified semantic model can be bound to. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
This API call is only relevant to datasets that have at least one on-premises connection. For datasets with cloud-only connections, this API call returns an empty list.
Required Scope
Dataset.Read.All
GET https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/Default.DiscoverGateways
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/Default.DiscoverGateways
Sample response
{
"value": [
{
"id": "1f69e798-5852-4fdd-ab01-33bb14b6e934",
"name": "ContosoGateway",
"type": "Resource",
"publicKey": {
"exponent": "AQAB",
"modulus": "o6j2....cLk="
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Gateway |
A Power BI gateway |
|
Gateway |
A Power BI gateway public key |
| Gateways |
The OData response wrapper for a list of Power BI gateways |
Gateway
A Power BI gateway
| Name | Type | Description |
|---|---|---|
| gatewayAnnotation |
string |
Gateway metadata in JSON format |
| gatewayStatus |
string |
The gateway connectivity status |
| id |
string (uuid) |
The gateway ID. When using a gateway cluster, the gateway ID refers to the primary (first) gateway in the cluster and is similar to the gateway cluster ID. |
| name |
string |
The gateway name |
| publicKey |
The gateway public key |
|
| type |
string |
The gateway type |
GatewayPublicKey
A Power BI gateway public key
| Name | Type | Description |
|---|---|---|
| exponent |
string |
The public key exponent |
| modulus |
string |
The public key modulus |
Gateways
The OData response wrapper for a list of Power BI gateways
| Name | Type | Description |
|---|---|---|
| @odata.context |
string |
|
| value |
Gateway[] |
The list of gateways |